## kde4libs 4.9.2

=== debian/changelog ===
kde4libs (4:4.9.2-0ubuntu3) quantal; urgency=low

  * Add fix_samba.diff as advised by upstream to fix browsing
    of samba shares

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 22:00:57 +0100

kde4libs (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Move headers to -dev, incorrectly put into -data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Oct 2012 10:16:07 +0100

kde4libs (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * New files in kdelibs5-dev.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:22:43 +0100

kde4libs (4:4.9.1-0ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:19 +0100

kde4libs (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Change sonames from 4.9.0/5.9.0 to 4.9.*/5.9.*
  * Update kdelibs5-dev.install

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:22:37 +0530

kde4libs (4:4.9.0a-0ubuntu4) quantal; urgency=low

  * Brown paper bag release. In addition to adding the Suggests, we should,
    you know, remove the Recommends on kde-runtime in kdelibs5-plugins
    (LP: #1032244)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 09:41:17 -0500

kde4libs (4:4.9.0a-0ubuntu3) quantal; urgency=low

  * debian/control: re-add dropped changed to drop kde-runtime to Suggests
    in kdelibs5-plugins

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 08:42:49 -0500

kde4libs (4:4.9.0a-0ubuntu2) quantal; urgency=low

  * debian/control: break circular recommends dependency on kdelibs5-plugins.
    It depends on libkhtml5 and libkio5 so libkhtml5 and libkio5 shouldn't
    recommends it. kde-runtime already Depends on kdelibs5-plugins and
    kde-runtime is a dependency of the KDE desktops already. A library
    shouldn't have a Recommends on additional functionality and people should
    be able to install libkhtml5 and libkio5 by themselves, with the option
    to also install kdelibs5-plugins. Furthermore, if applications using
    libkhtml5 and libkio5 really need kdelibs5-plugins, then those
    applications should be adjusted to Recommends kdelibs5-plugins.

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 02 Aug 2012 08:05:59 -0500

kde4libs (4:4.9.0a-0ubuntu1) quantal; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Aug 2012 16:16:35 +0100

kde4libs (4:4.9.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:12:16 +0100

kde4libs (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 15:36:45 +0200

kde4libs (4:4.8.80a-0ubuntu1) quantal; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update symbols files for new symbols
  * Merge with Debian git, remaining changes:
    - no build-dep on libaspell-dev
    - no build-dep on libfam-dev
    - kdelibs5-data: don't install kspell_aspell.desktop
    - kdelibs5-plugins: don't install  usr/lib/kde4/kspell_aspell.so
    - kdelibs5-dev: don't install preparetips
    - Pass -DKDESU_USE_SUDO_DEFAULT=true to configure
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - don't apply use_dejavu_as_default_font.diff
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - don't build depend on libglu1-mesa-dev, not needed due to
      kubuntu_no_direct_gl_usage.diff
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.

  [ Philip Muškovac ]
  * Add support to cmake/modules/PythonMacros.cmake for the environment
    variable $PYTHONDONTWRITEBYTECODE to work around the lack of support for
    Python 3 byte code compilation
    - Added in debian/patches/python3-support-bytecode.patch
    - Thanks to Colin Watson for the patch

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 19:52:02 -0400

kde4libs (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.
    - FindXine.cmake doesn't call xine-config anymore (Closes: #656914)

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Update installed files.
  * Update not-installed files.
  * Remove upstream_better-check-for-return-values-of-m_protocols.value.patch
    (applied upstream).

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Remove -DBUILD_libkactivities=OFF from the cmake parameters, no longer
    needed.

  [ Pino Toscano ]
  * libsolid4: suggest media-player-info on Linux archs.

  [ Modestas Vainius ]
  * Drop upstream_Add-missing-include.patch, stolen from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 17:23:21 +0100

kde4libs (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Drop kubuntu_fix_nepomuk_utils_crash.diff, applied upstream
    - Add new symbols to libkdecore5.symbols and libkdewebkit5.symbols
    - Update kdelibs5-dev.install and kdelibs5-experimental-dev.install
    - update symbol files for gcc 4.7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 15:42:30 +0200

=== debian/control ===
Source: kde4libs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.4), pkg-kde-tools (>= 0.14), libdlrestrictions-dev (>= 0.14),
 shared-mime-info (>= 0.30), dpkg-dev (>= 1.15.5), libphonon-dev (>= 4:4.6.0really4.3.80),
 libqt4-dev (>= 4:4.7.0), libqt4-opengl-dev (>= 4:4.7.0), libqtwebkit-dev,
 libpng12-dev, libssl-dev, libsm-dev, flex, bison,
 libsoprano-dev (>= 2.5.60), libstreamanalyzer-dev (>= 0.6.3),
 libxml2-dev, libxml2-utils, libxslt1-dev, libgif-dev,
 libavahi-common-dev, libbz2-dev, libenchant-dev,
 libjasper-dev, libopenexr-dev, libpcre3-dev, zlib1g-dev, libjpeg-dev, hspell,
 libacl1-dev, automoc (>= 1.0~version-0.9.88),
 libutempter-dev, liblzma-dev, libattica-dev (>= 0.4.1), shared-desktop-ontologies (>= 0.6.50),
 libpolkit-qt-1-dev (>= 0.99.0), libxss-dev, libqca2-dev, libdbusmenu-qt-dev, docbook-xml, docbook-xsl,
 libxrender-dev, libkrb5-dev, libudev-dev [linux-any], libgrantlee-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde4libs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde4libs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdelibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdelibs

Package: libkdecore5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE Platform Core Library
 All KDE Applications use this library to provide basic functionality such as
 the configuration system, IPC, internationalization and locale support,
 site-independent access to the filesystem and a large number of other (but no
 less important) things. The classes in this library does not require linkage
 to QtGui or any other library that requires a graphical interface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdeui5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (>= ${source:Version})
Suggests: hspell
Description: KDE Platform User Interface Library
 This library provides standard user interface elements for use in KDE
 Applications. If your KDE Application has a GUI, you will almost certainly
 link to this library.
 .
 A spell-checker functionality is also provided. Sonnet offers easy access to
 International ISpell or ASpell as well as a spell-checker GUI ("Add",
 "Replace", etc.).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkpty4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pseudo Terminal Library for the KDE Platform
 This library provides primitives to interface with pseudo terminal devices as
 well as a KProcess derived class for running child processes and communicating
 with them using a pty.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdesu5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xauth
Description: Console-mode Authentication Library for the KDE Platform
 This library provides functionality for building GUI front ends for (password
 asking) console mode programs. For example, kdesu and kdessh use it to
 interface with su and ssh respectively.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsapi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KJS API Library for the KDE Development Platform
 This library provides an ECMAScript compatible interpreter. The ECMA standard
 is based on well known scripting languages such as Netscape's JavaScript and
 Microsoft's JScript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsembed4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for binding JavaScript objects to QObjects
 This library provides a method of binding JavaScript objects to QObjects, so
 you can script your applications. It also provides an interface for running
 embedded Javascript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkio5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-plugins (= ${binary:Version})
Description: Network-enabled File Management Library for the KDE Platform
 This library implements almost all the file management functions you will ever
 need. In fact, the KDE file manager, Konqueror also uses this to provide its
 network-enabled file management. This library also implements the KDE file
 selector widget.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkntlm4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NTLM Authentication Library for the KDE Platform
 This library is useful for creating the authentication structures which
 can be used for various servers which implement NTLM type authentication. A
 comprehensive description of the NTLM authentication protocol can be found at
 http://davenport.sourceforge.net/ntlm.html
 .
 The library also provides subroutines to create the LanManager and NT (MD4)
 hashes of a password.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libsolid4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], hal [!linux-any]
Recommends: udisks [linux-any], upower [linux-any]
Suggests: media-player-info [linux-any]
Breaks: kde-config-tablet (<< 1.2.5)
Description: Solid Library for KDE Platform
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of the KDE Development Platform libraries module.
Homepage: http://solid.kde.org/

Package: libkde3support4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE 3 Support Library for the KDE 4 Platform
 The classes here are only for convenience of porting from KDE 3 to KDE 4
 Platform. They are not supposed to be used for a long time. You should move on
 to replacement classes provided by the framework or implement something
 yourself in the long run.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkfile4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: File Selection Dialog Library for KDE Platform
 This library provides the file selection dialog and its components.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff2-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version}), gnupg
Description: "Get Hot New Stuff" v2 Library for the KDE Platform
 The KNewStuff2 ("Get Hot New Stuff" v2)  library adds data sharing
 capabilities to KDE Applications. Technically, it implements the GHNS and DXS
 specifications. The library consists of three parts: the data management core
 and GHNS protocol implementation, the DXS web service handler, and the user
 interface classes like dialogs and buttons.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff3-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version}), gnupg
Description: "Get Hot New Stuff" v3 Library for the KDE Platform
 The KNewStuff3 ("Get Hot New Stuff" v3) library adds data sharing capabilities
 to the KDE Applications. It uses libattica to access Open Collaboration
 Services providers. In addition the static XML from GHNS is supported.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkparts4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Framework for the KDE Platform Graphical Components
 This library implements the framework for reusable KDE components (kparts),
 which are elaborate widgets with a user-interface defined in terms of actions
 (menu items, toolbar icons).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dummy transitional library
 This library has been split into libkcmutils4, libkprintutils4,
 libkidletime4 and libkemoticons4. This binary is provided to keep
 binary compatibility with software that was compiled against it.
 New software should not link against this library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libthreadweaver4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ThreadWeaver Library for the KDE Platform
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkhtml5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdelibs5-plugins (= ${binary:Version})
Description: KHTML Web Content Rendering Engine
 This library provides the component based on the KDE parts framework that can
 be used to embed a fully-fledged HTML browser widget in any KDE Application.
 This library uses the KHTML Web Content Rendering Engine to rendering.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkimproxy4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Instant Messaging Interface Library for the KDE Platform
 This library provides an easy-to-use interface to any instant messengers or
 chat programs that implement KIMIface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkmediaplayer4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KMediaPlayer Interface for the KDE Platform
 KMediaPlayer provides an API for re-usable media player components. The main
 class (KMediaPlayer::Player) provides all the necessary media player
 operations, with an optional GUI to control them.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libktexteditor4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KTextEditor interfaces for the KDE Platform
 This package provides the KTextEditor interfaces (also called KTE interfaces)
 that are a set of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing services. Applications which
 utilise this interface can thus allow the user to choose which implementation
 of the editor component to use. The only implementation right now is the Kate
 Editor Component (Kate Part).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknotifyconfig4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for configuring KDE Notifications
 This library provides a common interface for the configuration of the KDE
 Notifications (KNotify) for each KDE Application (e.g. "Configuration
 Notification" dialog).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdnssd4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DNS-SD Protocol Library for the KDE Platform

## kde4libs 4.9.4

=== debian/changelog ===
kde4libs (4:4.9.4-0ubuntu0.3) quantal-proposed; urgency=low

  * Refresh symbol files again as a few symbols were still missing

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Jan 2013 23:22:47 +0100

kde4libs (4:4.9.4-0ubuntu0.2) quantal-proposed; urgency=low

  * Refresh symbol files for all architectures 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 13:12:38 +0100

kde4libs (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1085516)
    - drop python3-support-bytecode.patch as upstream has support for
      that now
  * Add upstream commit 0820b3173aff4f0f3c803a9e75e726024da38ee5 as 
    0002-Fix-crash-when-no-service-was-selected-user-clicked-.patch
    to fix crash when no service was selected (user clicked on "Open With...")

  [ Scott Kitterman ]
  * Add 0001-Revert-Also-check-parent-mimetypes-in-protocolForArc.patch as
    recommended by upstream to revert bad commit inadvertently included in the
    release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:41:02 +0100

kde4libs (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - add new symbols to libkjsapi4.symbols and libkio5.symbols
    - drop fix_samba.diff, applied upstream
    - refresh python3-support-bytecode.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:35:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Fixes FTBFS (4:4.3.4-2) on ia64 (khtml code is too large to fit):
#   html/khtmlview.cpp:3623: relocation truncated to fit: GPREL22 against `.rodata'
# etc. We will have to reevalute if this is still needed some time later.
ifeq (ia64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
    export CFLAGS += -ffunction-sections
    export CXXFLAGS += -ffunction-sections
endif

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false \
	    -DKDE_DISTRIBUTION_TEXT="Kubuntu packages" \
	    -DKDE4_USE_ALWAYS_FULL_RPATH=false \
	    -DCONFIG_INSTALL_DIR=/usr/share/kde4/config \
	    -DDATA_INSTALL_DIR=/usr/share/kde4/apps \
	    -DHTML_INSTALL_DIR=/usr/share/doc/kde/HTML \
	    -DKCFG_INSTALL_DIR=/usr/share/kde4/config.kcfg \
	    -DLIB_INSTALL_DIR=/usr/lib \
	    -DSYSCONF_INSTALL_DIR=/etc \
	    -DLIBKDEINIT_INSTALL_DIR:PATH=/usr/lib/kde4/libkdeinit \
	    -DKDESU_USE_SUDO_DEFAULT=true

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	chmod a+x debian/tmp/usr/share/kde4/apps/kconf_update/ksslcertificatemanager.upd.sh

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdelibs5-dbg

# remove dependencies on kdebase-runtime and phonon (the metapackage)
override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime -xphonon

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/fileshareset

# Library stuff
libpkgs_addsubst_allLibraries = kdelibs5-dev kdelibs5-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

## kde4libs 4.9.5

=== debian/changelog ===
kde4libs (4:4.9.5-0ubuntu0.3) quantal; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security fix
    broke it LP: #1324066

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 May 2014 14:08:57 +0100

kde4libs (4:4.9.5-0ubuntu0.2) quantal-security; urgency=low

  * SECURITY UPDATE: information disclosure via error notifications
    - debian/patches/kubuntu_use_pretty_url.diff: update
      kioslave/http/http.cpp to use prettyUrl()
    - CVE-2013-2074
    - LP: #1178286

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 09 May 2013 17:04:18 +0100

kde4libs (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)
    - refresh make_libkdeinit4_private.diff
    - drop 0002-Fix-crash-when-no-service-was-selected-user-clicked-.patch
      and 0001-Revert-Also-check-parent-mimetypes-in-protocolForArc.patch,
      applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:16:54 +0100

## kde4libs 4.10.0

=== debian/changelog ===
kde4libs (4:4.10.0-0ubuntu3) raring; urgency=low

  * Change to the breaks/replaces of kdelibs5-plugins on kdelibs4c2a to 
    << 4:3.5.10.dfsg.1-6~ so a modified version can still be installed.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Feb 2013 15:46:59 +0100

kde4libs (4:4.10.0-0ubuntu2) raring; urgency=low

  * kdelibs5-plugins breaks/replaces kdelibs4c2a which is obsolete.
    Fixes overwrite conflict for /usr/bin/ktelnetservice
    (LP: #1100622)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Feb 2013 00:34:08 +0100

kde4libs (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new symbol to libkdecore5.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:47:10 +0000

kde4libs (4:4.9.98-0ubuntu3) raring; urgency=low

  * Drop kdelibs-plasma-active-patches.diff, causes fuse issues in amarok,
    see https://bugs.kde.org/313888

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Jan 2013 09:37:55 +0530

kde4libs (4:4.9.98-0ubuntu2) raring; urgency=low

  * Add kdelibs-plasma-active-patches.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 20:57:38 +0000

kde4libs (4:4.9.98-0ubuntu1) raring; urgency=low

  * New upstream release candidate
  * Update debian/libkdeui5.symbols
  * Add patch kubuntu_revert_findpythonlibrary.diff to work around change to
    FindPythonLibrary.cmake, fixes hardcoding wrong directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jan 2013 09:42:39 +0000

kde4libs (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate
    - refresh make_libkdeinit4_private.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:03:33 +0100

kde4libs (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Don't set KDE4_USE_ALWAYS_FULL_RPATH anymore, support for it was removed
    ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:08:08 +0000

kde4libs (4:4.9.90-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Update .symbols

  [ Harald Sitter ]
  * dep3 patch tagging

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:11 +0000

kde4libs (4:4.9.80-0ubuntu2) raring; urgency=low

  * Add debian/patches/no_KDE4_BUILD_TESTS.diff to set KDE4_BUILD_TESTS to OFF

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Nov 2012 20:01:36 -0500

kde4libs (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Rohan Garg ]
  * Drop findpythonlibrary_layout_deb_on_debian.diff, upstream has a working
    solution
  * Drop python3-support-bytecode.patch, applied upstream
  * Drop kubuntu-mobile-* patches
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:13:53 +0000

kde4libs (4:4.9.3-0ubuntu2) raring; urgency=low

  * Add kdelibs-bin.postrm to create a reboot notification trigger for
    kubuntu-notification-helper. Displaying of the notification is dependening
    on whether installed and running version are different (LP: #553182)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Nov 2012 17:30:55 +0100

kde4libs (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix_samba.diff, applied upstream
    - add new symbols to libkjsapi4.symbols and libkio5.symbols
    - refresh python3-support-bytecode.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:32:05 +0100

kde4libs (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.
    - FindXine.cmake doesn't call xine-config anymore (Closes: #656914)

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Update installed files.
  * Update not-installed files.
  * Remove upstream_better-check-for-return-values-of-m_protocols.value.patch
    (applied upstream).

  [ José Manuel Santamaría Lema ]
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Remove -DBUILD_libkactivities=OFF from the cmake parameters, no longer
    needed.

  [ Pino Toscano ]
  * libsolid4: suggest media-player-info on Linux archs.

  [ Modestas Vainius ]
  * Drop upstream_Add-missing-include.patch, stolen from upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 17:23:21 +0100

kde4libs (4:4.5.1-1) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed.
  * kdelibs5-data should break/replace kdelibs-data 4:3.5.10.dfsg.1-4 as well.
    That version still has the same files as kdelibs5-data.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Adjust build dependencies:
    - Bump required cmake version to 2.6.4.
    - Bump required soprano version to 2.4.63.
    - Add build dependencies on:
      - libdbusmenu-qt-dev
      - docbook-xml
      - docbook-xsl
      - libxrender-dev
      - libkrb5-dev
    - Remove unused build dependencies:
      - libcups2-dev
      - libdbus-1-dev
      - libasound2-dev
      - libkeyutils-dev
      - xsltproc
      - libxcursor-dev
      - libxtst-dev
  * Update installed files.
  * Add packages for the new libararies: libkatepartinterfaces4,
    libkcmutils4, libkidletime4, libkemoticons4, libkprintutils4.
  * Update symbol files.
  * Add symbol files for the new libraries.
  * Remove libkutils4.symbols as kutils is now a dummy
    transitional library with no symbols.
  * Refresh patches.
  * Add docbook-xml dependency on the kdoctools package,
    as it is required for building all of kde's documentation.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 Jul 2010 20:01:26 +0300

kde4libs (4:4.4.95-0ubuntu1) raring; urgency=low

  * New upstream RC release



## kde4libs 4.10.2

=== CMakeLists.txt ===
project(kdelibs)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Make CPack available to easy generate binary packages
include(CPack)

################# set KDE specific information #################

set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 10)
set (KDE_VERSION_RELEASE 2)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
set (KDE_VERSION_STRING "${KDE_VERSION}")

set (KDE_DISTRIBUTION_TEXT "compiled sources" CACHE STRING "Indicate the distribution in bug reports" )

# win32: give kde home in debug mode a different name as the  release home dir because the settings and caches are different
if (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (_KDE_DEFAULT_HOME_POSTFIX "-debug" CACHE STRING "default KDE home directory postfix" )
endif (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
set (KDE_DEFAULT_HOME ".kde${_KDE_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )

# this must be before FindKDE4Internal in order to preset the result of the visibility test, so that it will be skipped
option(KHTML_BUILD_TESTREGRESSION "Build KHTML's testregression. Note: this disables hidden visibility")
# Disable visibility if testregression is built, because the symbols are needed then
if (KHTML_BUILD_TESTREGRESSION)
   set (__KDE_HAVE_GCC_VISIBILITY 0)
endif (KHTML_BUILD_TESTREGRESSION)

option(STATIC_LIBRARY "Build kdelibs as static libraries." FALSE)

################# write platform profile file which will be installed #################
include(CreateKDEPlatformProfile.cmake)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
endif(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)

############### Give the user the option to build the udisks2 solid backend instead of the udisks backend ###############
option(WITH_SOLID_UDISKS2 "Enable the udisks2 solid backend instead")

############### Load the CTest options ###############
# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake COPYONLY)

################# now find all used packages #################

set (QT_MIN_VERSION "4.8.0")

find_package(KDE4Internal REQUIRED)
include(KDE4Defaults)
include (MacroLibrary)
if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

if(UNIX AND Q_WS_X11)
  #X11 Session Management (SM) is required
  #X11_SM_FOUND is set in FindX11, which is required by KDE4Internal
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)
endif(UNIX AND Q_WS_X11)

#required features:
# Perl is used e.g. in khtml, kjs, kjsembed and others
find_package(Perl)
macro_log_feature(PERL_FOUND "Perl" "Needed for building kdelibs" "http://www.perl.org" TRUE "" "")

find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "ZLib" "Support for gzip compressed files and data streams" "http://www.zlib.net" TRUE "" "Required by the core KDE libraries and some critical kioslaves")

set(STRIGI_MIN_VERSION 0.6.3)
find_package(Strigi)
if (WIN32)
    set (STRIGI_REQUIRED FALSE)
    set (STRIGI_EXTRA_TEXT "")
else (WIN32)
    set (STRIGI_REQUIRED TRUE)
    set (STRIGI_EXTRA_TEXT "Required by some critical kioslaves")
endif (WIN32)
macro_log_feature(STRIGI_FOUND "Strigi" "Desktop indexing and search support" "http://strigi.sourceforge.net" ${STRIGI_REQUIRED} "${STRIGI_MIN_VERSION}" "${STRIGI_EXTRA_TEXT}")

set(LIBATTICA_MIN_VERSION "0.1.90")
find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "Support for Get Hot New Stuff" "git://anongit.kde.org/attica" TRUE "${LIBATTICA_MIN_VERSION}" "")

#optional features
if(X11_FOUND)
  #X11_Xrender discovery is done by FindX11
  macro_log_feature(X11_Xrender_FOUND "X Rendering Extension (libXrender)" "Support for compositing, rendering operations, and alpha-blending" "http://www.x.org" FALSE "" "STRONGLY RECOMMENDED")
  macro_bool_to_01(X11_Xscreensaver_FOUND HAVE_XSCREENSAVER)
  macro_bool_to_01(X11_XSync_FOUND HAVE_XSYNC)
  macro_log_feature(HAVE_XSCREENSAVER "X Screensaver Extension (libXss)" "Support for KIdleTime (fallback mode)" "http://www.x.org/" FALSE "" "")
  macro_log_feature(HAVE_XSYNC "X Sync Extension (libXext)" "Efficient operation of KIdleTime" "http://www.x.org/" FALSE "" "STRONGLY RECOMMENDED")

  if(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
    message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)\n")
  endif(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
endif(X11_FOUND)


macro_optional_find_package(OpenSSL)
macro_log_feature(OPENSSL_FOUND "OpenSSL" "Support for secure network communications (SSL and TLS)" "http://openssl.org" FALSE "" "STRONGLY RECOMMENDED: KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS")

macro_optional_find_package(Libintl)
macro_log_feature(LIBINTL_FOUND "Libintl" "Support for multiple languages" "http://www.gnu.org/software/gettext" FALSE "" "STRONGLY RECOMMENDED: Enables KDE to be available in many different languages")

set(SOPRANO_MIN_VERSION "2.7.56")
macro_optional_find_package(Soprano ${SOPRANO_MIN_VERSION} COMPONENTS PLUGIN_RAPTORPARSER PLUGIN_REDLANDBACKEND)
macro_log_feature(SOPRANO_FOUND "Soprano" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "${SOPRANO_MIN_VERSION}" "")
macro_log_feature(SOPRANO_PLUGIN_RAPTORPARSER_FOUND "Soprano Raptor Parser" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "" "")
macro_log_feature(SOPRANO_PLUGIN_REDLANDBACKEND_FOUND "Soprano Redland Backend" "Support for the Nepomuk semantic desktop system" "http://soprano.sourceforge.net" FALSE "" "")

set(SHAREDDESKTOPONTOLOGIES_MIN_VERSION 0.10)
macro_optional_find_package(SharedDesktopOntologies ${SHAREDDESKTOPONTOLOGIES_MIN_VERSION})
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Support for the Nepomuk semantic desktop system" "http://oscaf.sourceforge.net" FALSE "${SHAREDDESKTOPONTOLOGIES_MIN_VERSION}" "")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Support for remote plasma widgets" "http://delta.affinix.com/qca" FALSE "2.0.0" "")

find_package(DBusMenuQt)
macro_log_feature(DBUSMENUQT_FOUND "DBusMenuQt" "Support for notification area menus via the DBusMenu protocol" "https://launchpad.net/libdbusmenu-qt" TRUE "" "")

################# Disallow in-source build #################

macro_ensure_out_of_source_build("kdelibs requires an out of source build. Please create a separate build directory and run 'cmake path_to_kdelibs [options]' there.")

# ... and warn in case of an earlier in-source build
set(generatedFileInSourceDir EXISTS ${kdelibs_SOURCE_DIR}/kdemacros.h OR EXISTS ${kdelibs_SOURCE_DIR}/config.h)
if(${generatedFileInSourceDir})
   message(STATUS "kdemacros.h or config.h exists in your source directory.")
   message(FATAL_ERROR "Please run svn-clean, it would seem that your source directory has generated files in it.")
endif(${generatedFileInSourceDir})
#########################################################################

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

################# setup the include directories #################

# for including config.h and for includes like <kparts/foo.h>
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces)

if(QCA2_FOUND)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)


# Those variables for  are only valid inside of kdelibs, of course.
# Use the one variable for the lib you depend upon.
# E.g. kdeui uses ${KDE4_KDECORE_INCLUDES}. Something that depends on kparts uses ${KDE4_KPARTS_INCLUDES}.

set(KDE4_KJS_INCLUDES ${CMAKE_SOURCE_DIR}/kjs
                      ${CMAKE_BINARY_DIR}/kjs)

if(NOT WINCE)
    set(KDE4_KDECORE_INCLUDES ${KDE4_KJS_INCLUDES} )
endif(NOT WINCE)

# kdecore depends on Qt (need only headers from kjs)
set(KDE4_KDECORE_INCLUDES ${KDE4_KDECORE_INCLUDES}
                          ${CMAKE_SOURCE_DIR}/kdecore
                          ${CMAKE_BINARY_DIR}/kdecore
                          ${CMAKE_SOURCE_DIR}/kdecore/compression
                          ${CMAKE_SOURCE_DIR}/kdecore/config
                          ${CMAKE_SOURCE_DIR}/kdecore/date
                          ${CMAKE_SOURCE_DIR}/kdecore/io
                          ${CMAKE_SOURCE_DIR}/kdecore/jobs
                          ${CMAKE_SOURCE_DIR}/kdecore/kernel
                          ${CMAKE_SOURCE_DIR}/kdecore/auth
                          ${CMAKE_SOURCE_DIR}/kdecore/network
                          ${CMAKE_SOURCE_DIR}/kdecore/services
                          ${CMAKE_SOURCE_DIR}/kdecore/localization
                          ${CMAKE_SOURCE_DIR}/kdecore/sycoca
                          ${CMAKE_SOURCE_DIR}/kdecore/text
                          ${CMAKE_SOURCE_DIR}/kdecore/util
                          ${CMAKE_SOURCE_DIR}/kdecore/sonnet
                          ${QT_INCLUDES}
                          ${_KDE4_PLATFORM_INCLUDE_DIRS})
# kdeui depends on kdecore
set(KDE4_KDEUI_INCLUDES ${CMAKE_SOURCE_DIR}/kdeui
                        ${CMAKE_SOURCE_DIR}/kdeui/actions
                        ${CMAKE_SOURCE_DIR}/kdeui/colors
                        ${CMAKE_SOURCE_DIR}/kdeui/config
                        ${CMAKE_SOURCE_DIR}/kdeui/dialogs
                        ${CMAKE_SOURCE_DIR}/kdeui/findreplace
                        ${CMAKE_SOURCE_DIR}/kdeui/fonts
                        ${CMAKE_SOURCE_DIR}/kdeui/icons
                        ${CMAKE_SOURCE_DIR}/kdeui/itemviews
                        ${CMAKE_SOURCE_DIR}/kdeui/jobs
                        ${CMAKE_SOURCE_DIR}/kdeui/kernel
                        ${CMAKE_SOURCE_DIR}/kdeui/notifications
                        ${CMAKE_SOURCE_DIR}/kdeui/paged
                        ${CMAKE_SOURCE_DIR}/kdeui/plotting
                        ${CMAKE_SOURCE_DIR}/kdeui/shortcuts
                        ${CMAKE_SOURCE_DIR}/kdeui/sonnet
                        ${CMAKE_SOURCE_DIR}/kdeui/util
                        ${CMAKE_SOURCE_DIR}/kdeui/widgets
                        ${CMAKE_SOURCE_DIR}/kdeui/windowmanagement
                        ${CMAKE_SOURCE_DIR}/kdeui/xmlgui
                        ${KDE4_KDECORE_INCLUDES})

# kio depends on kdeui
set(KDE4_KIO_INCLUDES ${CMAKE_SOURCE_DIR}/kio
                      ${CMAKE_SOURCE_DIR}/kio/bookmarks
                      ${CMAKE_SOURCE_DIR}/kio/kio
                      ${CMAKE_SOURCE_DIR}/kio/kfile
                      ${KDE4_KDEUI_INCLUDES})

# kpty
set(KDE4_KPTY_INCLUDES ${CMAKE_SOURCE_DIR}/kpty ${KDE4_KIO_INCLUDES} )

# kparts depends on kio
set(KDE4_KPARTS_INCLUDES ${CMAKE_SOURCE_DIR}/kparts
                         ${KDE4_KIO_INCLUDES})

# kde3support depends on kparts
set(KDE4_KDE3SUPPORT_INCLUDES ${CMAKE_SOURCE_DIR}/kde3support
                              ${CMAKE_SOURCE_DIR}/kde3support/kdecore
                              ${CMAKE_SOURCE_DIR}/kde3support/kdeui
                              ${CMAKE_SOURCE_DIR}/kde3support/kio
                              ${KDE4_KPARTS_INCLUDES})

if(NOT WINCE)
 set(KDE4_KHTML_INCLUDES ${CMAKE_SOURCE_DIR}/khtml)
endif(NOT WINCE)


################# configure checks and create the configured files #################

if(WINCE)
  set(STATIC_LIBRARY ON)
  add_definitions(-DSTATIC_INSTALL_PATH=L\\\"/programme/kde\\\")
endif(WINCE)

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDELIBS_STATIC_LIBS)
  message(STATUS "Building kdelibs as static libraries")

=== debian/changelog ===
kde4libs (4:4.10.2-0ubuntu2.2) raring-security; urgency=low

  * SECURITY UPDATE: information disclosure via error notifications
    - debian/patches/kubuntu_use_pretty_url.diff: update
      kioslave/http/http.cpp to use prettyUrl()
    - CVE-2013-2074
    - LP: #1178286

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 28 May 2013 16:12:34 -0500

kde4libs (4:4.10.2-0ubuntu2.1) raring-security; urgency=low

  * Add kubuntu_use_pretty_url.diff (LP: #1178286)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 09 May 2013 17:32:16 +0100

kde4libs (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add kubuntu_patched_l10n.diff adding kubuntu-patched-l10n to the list
    of translation domains to be loaded for every application.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 09 Apr 2013 13:47:26 +0200

kde4libs (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:29:42 +0200

kde4libs (4:4.10.1-0ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:01:56 +0000

kde4libs (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
    - libkdecore5.symbols: add a new symbol
    - libkdeui5.symbols: add a new and remove a missing private symbol

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:32:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DKDE4_BUILD_TESTS=false \
 	    -DKDE_DISTRIBUTION_TEXT="Kubuntu packages" \
-	    -DKDE4_USE_ALWAYS_FULL_RPATH=false \
 	    -DCONFIG_INSTALL_DIR=/usr/share/kde4/config \
 	    -DDATA_INSTALL_DIR=/usr/share/kde4/apps \
 	    -DHTML_INSTALL_DIR=/usr/share/doc/kde/HTML \

## kde4libs 4.10.5

=== debian/changelog ===
kde4libs (4:4.10.5-0ubuntu0.1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1196090)

  [ Howard Chan ]
  * Fix symbols file for libkdecore5 and libkfile4. 
  * Put kdbusconnectionpool.h within kdelibs5-dev.install.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 29 Jun 2013 20:18:48 +0200

kde4libs (4:4.10.4-0ubuntu0.1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1187574)
     drop patches that were applied upstream:
      + 0001-Don-t-show-passwords-contained-in-HTTP-URLs-in-error.patch
      + 0001-Fix-crash-when-quitting-apps.patch
      + kubuntu_CVE-2009-2702.diff 

  [ Rohan Garg ]
  * Add a new symbol to libnepomuk4.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 05 Jun 2013 00:32:20 +0200

kde4libs (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - add new symbols and remove a changed private symbol
    - cherry pick 65d736dab592bced4410ccfa4699de89f78c96ca from upstream
      as 0001-Don-t-show-passwords-contained-in-HTTP-URLs-in-error.patch
      to fix passwords from HTML URLs being shown in error messages.
      https://bugs.kde.org/show_bug.cgi?id=319428
    - cherry pick 9323adac35d40da69e3cb18504340e984c4afd05 from upstream
      as 0001-Fix-crash-when-quitting-apps.patch
      to fix a possible plasma crash when quitting applications.
      https://bugs.kde.org/show_bug.cgi?id=319137

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 17:59:03 +0200

kde4libs (4:4.10.2-0ubuntu2) raring-proposed; urgency=low

  * Add kubuntu_patched_l10n.diff adding kubuntu-patched-l10n to the list
    of translation domains to be loaded for every application.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 09 Apr 2013 13:47:26 +0200

kde4libs (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:29:42 +0200

kde4libs (4:4.10.1-0ubuntu1b1) raring-proposed; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:01:56 +0000

kde4libs (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release
    - libkdecore5.symbols: add a new symbol
    - libkdeui5.symbols: add a new and remove a missing private symbol

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:32:10 +0000

kde4libs (4:4.10.0-0ubuntu3) raring-proposed; urgency=low

  * Change to the breaks/replaces of kdelibs5-plugins on kdelibs4c2a to 
    << 4:3.5.10.dfsg.1-6~ so a modified version can still be installed.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Feb 2013 15:46:59 +0100

kde4libs (4:4.10.0-0ubuntu2) raring-proposed; urgency=low

  * kdelibs5-plugins breaks/replaces kdelibs4c2a which is obsolete.
    Fixes overwrite conflict for /usr/bin/ktelnetservice
    (LP: #1100622)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Feb 2013 00:34:08 +0100

kde4libs (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add new symbol to libkdecore5.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:47:10 +0000

kde4libs (4:4.9.98-0ubuntu3) raring-proposed; urgency=low

  * Drop kdelibs-plasma-active-patches.diff, causes fuse issues in amarok,
    see https://bugs.kde.org/313888

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Jan 2013 09:37:55 +0530

kde4libs (4:4.9.98-0ubuntu2) raring-proposed; urgency=low

  * Add kdelibs-plasma-active-patches.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 20:57:38 +0000

kde4libs (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Update debian/libkdeui5.symbols
  * Add patch kubuntu_revert_findpythonlibrary.diff to work around change to
    FindPythonLibrary.cmake, fixes hardcoding wrong directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jan 2013 09:42:39 +0000

kde4libs (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
    - refresh make_libkdeinit4_private.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 21:03:33 +0100

kde4libs (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Don't set KDE4_USE_ALWAYS_FULL_RPATH anymore, support for it was removed
    ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:08:08 +0000

kde4libs (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Update .symbols

  [ Harald Sitter ]
  * dep3 patch tagging

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:48:11 +0000

kde4libs (4:4.9.80-0ubuntu2) raring-proposed; urgency=low

  * Add debian/patches/no_KDE4_BUILD_TESTS.diff to set KDE4_BUILD_TESTS to OFF

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Nov 2012 20:01:36 -0500

kde4libs (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Rohan Garg ]
  * Drop findpythonlibrary_layout_deb_on_debian.diff, upstream has a working
    solution
  * Drop python3-support-bytecode.patch, applied upstream
  * Drop kubuntu-mobile-* patches
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Nov 2012 15:13:53 +0000

kde4libs (4:4.9.3-0ubuntu2) raring-proposed; urgency=low

  * Add kdelibs-bin.postrm to create a reboot notification trigger for
    kubuntu-notification-helper. Displaying of the notification is dependening
    on whether installed and running version are different (LP: #553182)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Nov 2012 17:30:55 +0100

kde4libs (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix_samba.diff, applied upstream
